Package ru.bgcrm.plugin.bgbilling.proto.model.cerbercrypt

# Class CardPacket

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.cerbercrypt.CardPacket

public class CardPacket extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardPacket()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCard()`
  `String`
  `getChangeDate()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getId()`
  `String`
  `getPacket()`
  `int`
  `getPacketId()`
  `String`
  `getPeriod()`
  `String`
  `getStatus()`
  `void`
  `setCard(int card)`
  `void`
  `setChangeDate(String changeDate)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setId(int id)`
  `void`
  `setPacket(String packet)`
  `void`
  `setPacketId(int packetId)`
  `void`
  `setPeriod(String period)`
  `void`
  `setStatus(String status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardPacket

    public CardPacket()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getCard

    public int getCard()

  - ### setCard

    public void setCard(int card)

  - ### getChangeDate

    public String getChangeDate()

  - ### setChangeDate

    public void setChangeDate(String changeDate)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getPacket

    public String getPacket()

  - ### setPacket

    public void setPacket(String packet)

  - ### getPeriod

    public String getPeriod()

  - ### setPeriod

    public void setPeriod(String period)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getPacketId

    public int getPacketId()

  - ### setPacketId

    public void setPacketId(int packetId)